---
title: URLSearchParams.entries()
slug: Web/API/URLSearchParams/entries
tags:
  - API
  - Method
  - Reference
  - URL API
  - URLSearchParams
---
<p>{{APIRef("URL API")}}</p>

<p>The <code><strong>entries()</strong></code> method of the {{domxref("URLSearchParams")}} interface returns an {{jsxref("Iteration_protocols",'iterator')}} allowing iteration through all key/value pairs contained in this object. The key and value of each pair are {{domxref("USVString")}} objects.</p>

<p>{{availableinworkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">searchParams.entries();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>Returns an {{jsxref("Iteration_protocols","iterator")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js;highlight:[5]">// Create a test URLSearchParams object
var searchParams = new URLSearchParams("key1=value1&amp;key2=value2");

// Display the key/value pairs
for(var pair of searchParams.entries()) {
   console.log(pair[0]+ ', '+ pair[1]);
}
</pre>

<p>The result is:</p>

<pre>key1, value1
key2, value2</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('URL', '#interface-urlsearchparams', "entries() (see \"iterable\")")}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.URLSearchParams.entries")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("URL")}} interface.</li>
</ul>
